const componentName = 'customtzcld'; //TODO: Get it from the packages.json

export function path() {
  let path = ".";
  if(window.orbit) {
    let component = window.orbit.npm.find(e=>e.package==`@startinblox/custom-tzcld`);
    path = `https://cdn.skypack.dev/${component.package}@${component.version}/dist`;
    if(component.path) {
      path = component.path.replace('/index.js', '')
    }
  }
  return path;
}

export function coreVersion() {
  let coreUrl = "https://cdn.skypack.dev/@startinblox/core";
  if(window.orbit) {
    let core = window.orbit.npm.find(e=>e.package=='@startinblox/core');
    coreUrl += `@${core.version}`;
    if(core.path) {
      coreUrl = core.path;
    }
  }
  return coreUrl;
}

export function uniq() {
  return Math.random().toString(16).slice(2);
}
